For the complete documentation index, see llms.txt. This page is also available as Markdown.

Cloud REST API

Browse the available end points for the Ativo cloud API.

The REST endpoints below allow you to retrieve Ativo configuration data via an API token.

This page is for the Cloud API.

The Ativo Programs API is in BETA, meaning breaking changes can occur without notification. Please keep an eye on this page for updates. Contact support in case of questions.

Team

Get the list of teams

get
/rest/api/1/team
Responses
200

OK

*/*
idinteger Β· int64Optional
keystringOptional
namestringOptional
get/rest/api/1/team
GET /rest/api/1/team HTTP/1.1
Host: cloud-api.ativo.io
Accept: */*
200

OK

[
  {
    "id": 1,
    "key": "text",
    "name": "text"
  }
]

Get a team configuration

get
/rest/api/1/team/{id}
Path parameters
idinteger Β· int64Required
Responses
200

OK

*/*
idinteger Β· int64Optional
keystringOptional
namestringOptional
modestring Β· enumOptionalPossible values:
estimationstring Β· enumOptionalPossible values:
typestring Β· enumOptionalPossible values:
isArchivedbooleanOptional
get/rest/api/1/team/{id}
GET /rest/api/1/team/{id} HTTP/1.1
Host: cloud-api.ativo.io
Accept: */*
200

OK

{
  "id": 1,
  "key": "text",
  "name": "text",
  "mode": "SCRUM",
  "estimation": "STORY_POINTS",
  "configFilter": {
    "jiraFilterBody": {
      "id": "text"
    },
    "manualFilterBody": {
      "projects": {
        "selectionOn": "PROJECT",
        "values": [
          {
            "id": "text"
          }
        ]
      },
      "fieldFilters": [
        {
          "field": {
            "id": "text"
          },
          "values": [
            {
              "id": "text"
            }
          ],
          "jqlGeneratePattern": "WHERE_FIELD_IN_VALUE_LABEL",
          "operator": "IN"
        }
      ]
    },
    "filterMode": "JIRA"
  },
  "board": {
    "id": 1
  },
  "type": "BOARD",
  "isArchived": true
}

Get all team configurations

get
/rest/api/1/teams
Responses
200

OK

*/*
idinteger Β· int64Optional
keystringOptional
namestringOptional
modestring Β· enumOptionalPossible values:
estimationstring Β· enumOptionalPossible values:
typestring Β· enumOptionalPossible values:
isArchivedbooleanOptional
get/rest/api/1/teams
GET /rest/api/1/teams HTTP/1.1
Host: cloud-api.ativo.io
Accept: */*
200

OK

[
  {
    "id": 1,
    "key": "text",
    "name": "text",
    "mode": "SCRUM",
    "estimation": "STORY_POINTS",
    "configFilter": {
      "jiraFilterBody": {
        "id": "text"
      },
      "manualFilterBody": {
        "projects": {
          "selectionOn": "PROJECT",
          "values": [
            {
              "id": "text"
            }
          ]
        },
        "fieldFilters": [
          {
            "field": {
              "id": "text"
            },
            "values": [
              {
                "id": "text"
              }
            ],
            "jqlGeneratePattern": "WHERE_FIELD_IN_VALUE_LABEL",
            "operator": "IN"
          }
        ]
      },
      "filterMode": "JIRA"
    },
    "board": {
      "id": 1
    },
    "type": "BOARD",
    "isArchived": true
  }
]

Program (ART)

Get the list of programs (ARTs)

get
/rest/api/1/program
Responses
200

OK

*/*
idinteger Β· int64Optional
keystringOptional
namestringOptional
get/rest/api/1/program
GET /rest/api/1/program HTTP/1.1
Host: cloud-api.ativo.io
Accept: */*
200

OK

[
  {
    "id": 1,
    "key": "text",
    "name": "text"
  }
]

Get a program (ART) configuration

get
/rest/api/1/program/{id}
Path parameters
idinteger Β· int64Required
Responses
200

OK

*/*
idinteger Β· int64Optional
keystringOptional
namestringOptional
isArchivedbooleanOptional
get/rest/api/1/program/{id}
GET /rest/api/1/program/{id} HTTP/1.1
Host: cloud-api.ativo.io
Accept: */*
200

OK

{
  "id": 1,
  "key": "text",
  "name": "text",
  "combinedFilter": {
    "mode": "PROGRAM_FILTER_EPIC_AND_ISSUES_UNDER_EPIC",
    "epicMode": "PROGRAM_EPICS_IN_FILTER",
    "epicFilter": {
      "jiraFilterBody": {
        "id": "text"
      },
      "manualFilterBody": {
        "projects": {
          "selectionOn": "PROJECT",
          "values": [
            {
              "id": "text"
            }
          ]
        },
        "fieldFilters": [
          {
            "field": {
              "id": "text"
            },
            "values": [
              {
                "id": "text"
              }
            ],
            "jqlGeneratePattern": "WHERE_FIELD_IN_VALUE_LABEL",
            "operator": "IN"
          }
        ]
      },
      "filterMode": "JIRA"
    },
    "issueFilter": {
      "jiraFilterBody": {
        "id": "text"
      },
      "manualFilterBody": {
        "projects": {
          "selectionOn": "PROJECT",
          "values": [
            {
              "id": "text"
            }
          ]
        },
        "fieldFilters": [
          {
            "field": {
              "id": "text"
            },
            "values": [
              {
                "id": "text"
              }
            ],
            "jqlGeneratePattern": "WHERE_FIELD_IN_VALUE_LABEL",
            "operator": "IN"
          }
        ]
      },
      "filterMode": "JIRA"
    }
  },
  "teams": [
    {
      "id": 1,
      "key": "text",
      "name": "text"
    }
  ],
  "isArchived": true
}

Get all program (ART) configurations

get
/rest/api/1/programs
Responses
200

OK

*/*
idinteger Β· int64Optional
keystringOptional
namestringOptional
isArchivedbooleanOptional
get/rest/api/1/programs
GET /rest/api/1/programs HTTP/1.1
Host: cloud-api.ativo.io
Accept: */*
200

OK

[
  {
    "id": 1,
    "key": "text",
    "name": "text",
    "combinedFilter": {
      "mode": "PROGRAM_FILTER_EPIC_AND_ISSUES_UNDER_EPIC",
      "epicMode": "PROGRAM_EPICS_IN_FILTER",
      "epicFilter": {
        "jiraFilterBody": {
          "id": "text"
        },
        "manualFilterBody": {
          "projects": {
            "selectionOn": "PROJECT",
            "values": [
              {
                "id": "text"
              }
            ]
          },
          "fieldFilters": [
            {
              "field": {
                "id": "text"
              },
              "values": [
                {
                  "id": "text"
                }
              ],
              "jqlGeneratePattern": "WHERE_FIELD_IN_VALUE_LABEL",
              "operator": "IN"
            }
          ]
        },
        "filterMode": "JIRA"
      },
      "issueFilter": {
        "jiraFilterBody": {
          "id": "text"
        },
        "manualFilterBody": {
          "projects": {
            "selectionOn": "PROJECT",
            "values": [
              {
                "id": "text"
              }
            ]
          },
          "fieldFilters": [
            {
              "field": {
                "id": "text"
              },
              "values": [
                {
                  "id": "text"
                }
              ],
              "jqlGeneratePattern": "WHERE_FIELD_IN_VALUE_LABEL",
              "operator": "IN"
            }
          ]
        },
        "filterMode": "JIRA"
      }
    },
    "teams": [
      {
        "id": 1,
        "key": "text",
        "name": "text"
      }
    ],
    "isArchived": true
  }
]

Period (PI)

Get the list of periods (PIs)

get
/rest/api/1/period
Responses
200

OK

*/*
idinteger Β· int64Optional
keystringOptional
namestringOptional
get/rest/api/1/period
GET /rest/api/1/period HTTP/1.1
Host: cloud-api.ativo.io
Accept: */*
200

OK

[
  {
    "id": 1,
    "key": "text",
    "name": "text"
  }
]

Get a period (PI) configuration

get
/rest/api/1/period/{id}
Path parameters
idinteger Β· int64Required
Responses
200

OK

*/*
idinteger Β· int64Optional
keystringOptional
namestringOptional
isArchivedbooleanOptional
get/rest/api/1/period/{id}
GET /rest/api/1/period/{id} HTTP/1.1
Host: cloud-api.ativo.io
Accept: */*
200

OK

{
  "id": 1,
  "key": "text",
  "name": "text",
  "sprints": [
    {
      "id": 1,
      "key": "text",
      "name": "text",
      "closed": true,
      "startDate": "text",
      "endDate": "text",
      "teamSprints": [
        {
          "sprintJiraId": 1,
          "teamKey": "text"
        }
      ]
    }
  ],
  "programIncrements": [
    {
      "programId": 1,
      "combinedFilter": {
        "mode": "PROGRAM_FILTER_EPIC_AND_ISSUES_UNDER_EPIC",
        "epicMode": "PROGRAM_EPICS_IN_FILTER",
        "epicFilter": {
          "jiraFilterBody": {
            "id": "text"
          },
          "manualFilterBody": {
            "projects": {
              "selectionOn": "PROJECT",
              "values": [
                {
                  "id": "text"
                }
              ]
            },
            "fieldFilters": [
              {
                "field": {
                  "id": "text"
                },
                "values": [
                  {
                    "id": "text"
                  }
                ],
                "jqlGeneratePattern": "WHERE_FIELD_IN_VALUE_LABEL",
                "operator": "IN"
              }
            ]
          },
          "filterMode": "JIRA"
        },
        "issueFilter": {
          "jiraFilterBody": {
            "id": "text"
          },
          "manualFilterBody": {
            "projects": {
              "selectionOn": "PROJECT",
              "values": [
                {
                  "id": "text"
                }
              ]
            },
            "fieldFilters": [
              {
                "field": {
                  "id": "text"
                },
                "values": [
                  {
                    "id": "text"
                  }
                ],
                "jqlGeneratePattern": "WHERE_FIELD_IN_VALUE_LABEL",
                "operator": "IN"
              }
            ]
          },
          "filterMode": "JIRA"
        }
      },
      "teams": [
        {
          "id": 1,
          "key": "text",
          "name": "text"
        }
      ]
    }
  ],
  "isArchived": true
}

Get all period (PI) configurations

get
/rest/api/1/periods
Responses
200

OK

*/*
idinteger Β· int64Optional
keystringOptional
namestringOptional
isArchivedbooleanOptional
get/rest/api/1/periods
GET /rest/api/1/periods HTTP/1.1
Host: cloud-api.ativo.io
Accept: */*
200

OK

[
  {
    "id": 1,
    "key": "text",
    "name": "text",
    "sprints": [
      {
        "id": 1,
        "key": "text",
        "name": "text",
        "closed": true,
        "startDate": "text",
        "endDate": "text",
        "teamSprints": [
          {
            "sprintJiraId": 1,
            "teamKey": "text"
          }
        ]
      }
    ],
    "programIncrements": [
      {
        "programId": 1,
        "combinedFilter": {
          "mode": "PROGRAM_FILTER_EPIC_AND_ISSUES_UNDER_EPIC",
          "epicMode": "PROGRAM_EPICS_IN_FILTER",
          "epicFilter": {
            "jiraFilterBody": {
              "id": "text"
            },
            "manualFilterBody": {
              "projects": {
                "selectionOn": "PROJECT",
                "values": [
                  {
                    "id": "text"
                  }
                ]
              },
              "fieldFilters": [
                {
                  "field": {
                    "id": "text"
                  },
                  "values": [
                    {
                      "id": "text"
                    }
                  ],
                  "jqlGeneratePattern": "WHERE_FIELD_IN_VALUE_LABEL",
                  "operator": "IN"
                }
              ]
            },
            "filterMode": "JIRA"
          },
          "issueFilter": {
            "jiraFilterBody": {
              "id": "text"
            },
            "manualFilterBody": {
              "projects": {
                "selectionOn": "PROJECT",
                "values": [
                  {
                    "id": "text"
                  }
                ]
              },
              "fieldFilters": [
                {
                  "field": {
                    "id": "text"
                  },
                  "values": [
                    {
                      "id": "text"
                    }
                  ],
                  "jqlGeneratePattern": "WHERE_FIELD_IN_VALUE_LABEL",
                  "operator": "IN"
                }
              ]
            },
            "filterMode": "JIRA"
          }
        },
        "teams": [
          {
            "id": 1,
            "key": "text",
            "name": "text"
          }
        ]
      }
    ],
    "isArchived": true
  }
]

Objectives

Get the program and team objectives for a PI

get
/rest/api/1/objectives/{programId}/{periodId}
Path parameters
programIdinteger Β· int64Required
periodIdinteger Β· int64Required
Responses
200

OK

*/*
idinteger Β· int64Optional
keystringOptional
namestringOptional
programIdinteger Β· int64Optional
periodIdinteger Β· int64Optional
showEpicLinksbooleanOptional
get/rest/api/1/objectives/{programId}/{periodId}
GET /rest/api/1/objectives/{programId}/{periodId} HTTP/1.1
Host: cloud-api.ativo.io
Accept: */*
200

OK

{
  "id": 1,
  "key": "text",
  "name": "text",
  "programId": 1,
  "periodId": 1,
  "objectives": [
    {
      "level": "PROGRAM",
      "teamId": 1,
      "commitment": "COMMITTED",
      "label": "text",
      "plannedValue": 1,
      "deliveredValue": 1,
      "epicIds": [
        "text"
      ]
    }
  ],
  "showEpicLinks": true
}

Last updated